Package org.apache.sling.testing.mock.sling.servlet

# Class MockSlingJakartaHttpServletResponse

java.lang.Object
org.apache.sling.api.adapter.SlingAdaptable
org.apache.sling.servlethelpers.MockSlingJakartaHttpServletResponse
org.apache.sling.testing.mock.sling.servlet.MockSlingJakartaHttpServletResponse

All Implemented Interfaces:
  `jakarta.servlet.http.HttpServletResponse`, `jakarta.servlet.ServletResponse`, `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.SlingJakartaHttpServletResponse`

public class MockSlingJakartaHttpServletResponse extends org.apache.sling.servlethelpers.MockSlingJakartaHttpServletResponse
Mock `SlingJakartaHttpServletResponse` implementation.

## Field Summary

### Fields inherited from interface jakarta.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`MockSlingJakartaHttpServletResponse()`

## Method Summary

### Methods inherited from class org.apache.sling.servlethelpers.MockSlingJakartaHttpServletResponse

`adaptTo, addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectURL, encodeURL, flushBuffer, getBufferSize, getCharacterEncoding, getContentLength, getContentType, getCookie, getCookies, getHeader, getHeaderNames, getHeaders, getLocale, getOutput, getOutputAsString, getOutputStream, getStatus, getStatusMessage, getWriter, isCommitted, reset, resetBuffer, sendError, sendError, sendRedirect, sendRedirect, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setDateHeader, setHeader, setIntHeader, setLocale, setStatus`

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.http.HttpServletResponse

`getTrailerFields, setTrailerFields`

## Constructor Details

### MockSlingJakartaHttpServletResponse

public MockSlingJakartaHttpServletResponse()